syntax = "proto3";

package pagerino.change;
option go_package = "server/app_comm/api/change;api_change";

import "common.proto";


message ChageAllInfo {
  string old_value = 1;
  string new_value = 2;
  string table_name = 3;
  string operation = 4;
  int32 log_id = 5;
}

message Values {
  string old_value = 1;
  string new_value = 2;
}


service ChangeService {
  // === DB information
  rpc GetDiff(common.Index) returns (Values);
  rpc GetAll(common.Index) returns (ChageAllInfo);

  // Common
  rpc GetMeta(common.Index) returns (common.Meta);
}
